function [STRES_ACC_BIN,STRES_ACC_FUZZY,RELAX_ACC_BIN,...
          RELAX_ACC_FUZZY,STRES_ACC_BIN_FYZ,...
          STRES_ACC_FUZZY_FYZ,STRES_ACC_BIN_PSY,STRES_ACC_FUZZY_PSY]=...
          detekce_ACC_svm (A_C_means)
%% shluk V3 validne detekuje stres

STRES_ACC_BIN=[];
RELAX_ACC_BIN=[];
STRES_ACC_FUZZY=[];
RELAX_ACC_FUZZY=[];

for i=1:1:size(A_C_means,2);
if A_C_means(3,i)>=A_C_means(1,i) || A_C_means(2,i)>=A_C_means(1,i)
   STRES_ACC_BIN(i)=1;
   STRES_ACC_FUZZY(i)=A_C_means(3,i)+A_C_means(2,i);
   
else STRES_ACC_BIN(i)=0;
    STRES_ACC_FUZZY(i)=0;
end

if A_C_means(3,i)>=A_C_means(1,i)  && A_C_means(3,i)>=A_C_means(2,i)
   STRES_ACC_BIN_FYZ(i)=1;
   STRES_ACC_FUZZY_FYZ(i)=A_C_means(3,i);
   
else STRES_ACC_BIN_FYZ(i)=0;
    STRES_ACC_FUZZY_FYZ(i)=0;
end

if A_C_means(2,i)>=A_C_means(1,i)  && A_C_means(2,i)>=A_C_means(3,i)
   STRES_ACC_BIN_PSY(i)=1;
   STRES_ACC_FUZZY_PSY(i)=A_C_means(2,i);
   
else STRES_ACC_BIN_PSY(i)=0;
    STRES_ACC_FUZZY_PSY(i)=0;
end


if A_C_means(1,i)>=A_C_means(2,i) && A_C_means(1,i)>=A_C_means(3,i);
   RELAX_ACC_BIN(i)=1;
   RELAX_ACC_FUZZY(i)=A_C_means(1,i);
   
else RELAX_ACC_BIN(i)=0; 
    RELAX_ACC_FUZZY(i)=0;
end

end


end